#!/bin/bash

PORT=1098

# Configure nginx to proxy requests to the museum service
sudo tee /etc/nginx/sites-available/museum.sa.vin.conf > /dev/null <<EOL
server {
    listen 80;
    server_name museum.sa.vin;

    location / {
        proxy_pass http://127.0.0.1:$PORT;
        proxy_set_header Host \$host;
        proxy_set_header X-Real-IP \$remote_addr;
        proxy_set_header X-Forwarded-For \$proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto \$scheme;
    }
}
EOL

# Create a symbolic link to enable the site
sudo ln -s /etc/nginx/sites-available/museum.sa.vin.conf /etc/nginx/sites-enabled/

# Reload nginx to apply changes
sudo systemctl reload nginx

# Use certbot to add SSL certificate for the museum service
sudo certbot --nginx -d museum.sa.vin

echo "Museum service has been set up successfully. Access the service at https://museum.sa.vin"